# Class HTMLDocument.HTMLReader.TagAction

java.lang.Object
javax.swing.text.html.HTMLDocument.HTMLReader.TagAction

Direct Known Subclasses:
  `HTMLDocument.HTMLReader.BlockAction, HTMLDocument.HTMLReader.CharacterAction, HTMLDocument.HTMLReader.HiddenAction, HTMLDocument.HTMLReader.IsindexAction, HTMLDocument.HTMLReader.SpecialAction`

Enclosing class:
  `HTMLDocument.HTMLReader`

public class HTMLDocument.HTMLReader.TagAction extends Object
An action to be performed in response to parsing a tag. This allows customization of how each tag is handled and avoids a large switch statement.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TagAction()`
  Constructs a `TagAction`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `end(HTML.Tag t)`
  Called when an end tag is seen for the type of tag this action was registered to.
  `void`
  `start(HTML.Tag t, MutableAttributeSet a)`
  Called when a start tag is seen for the type of tag this action was registered to.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### TagAction

    public TagAction()
    Constructs a `TagAction`.

- ## Method Details

  - ### start

    public void start(HTML.Tag t, MutableAttributeSet a)
    Called when a start tag is seen for the type of tag this action was registered to. The tag argument indicates the actual tag for those actions that are shared across many tags. By default this does nothing and completely ignores the tag.
    Parameters:
      `t` - the HTML tag
      `a` - the attributes

  - ### end

    public void end(HTML.Tag t)
    Called when an end tag is seen for the type of tag this action was registered to. The tag argument indicates the actual tag for those actions that are shared across many tags. By default this does nothing and completely ignores the tag.
    Parameters:
      `t` - the HTML tag